SET storage_engine = InnoDB;
SET FOREIGN_KEY_CHECKS = 1;
DROP DATABASE IF EXISTS Impiegati;
CREATE DATABASE Impiegati;
USE Impiegati;

CREATE TABLE Dipartimento (
	CodDip CHAR(4) NOT NULL,
	Denominazione VARCHAR(64) NOT NULL,
	Citta VARCHAR(64) NOT NULL,
	PRIMARY KEY(CodDip)
);

CREATE TABLE Impiegato (
	CodImp SMALLINT NOT NULL,
	Cognome VARCHAR(64) NOT NULL,
	Nome VARCHAR(64) NOT NULL,
	CodDip CHAR(4),
	Stipendio INTEGER,
	PRIMARY KEY (CodImp),
	FOREIGN KEY (CodDip) REFERENCES Dipartimento(CodDip)
 		ON DELETE SET NULL
		ON UPDATE CASCADE
);

CREATE TABLE Turno (
	CodImp SMALLINT NOT NULL,
	Data CHAR(10) NOT NULL,
	OraI CHAR(5),
	OraF CHAR(5),
	PRIMARY KEY (CodImp, Data),
	FOREIGN KEY(CodImp)
		REFERENCES Impiegato(CodImp)
		ON DELETE CASCADE
		ON UPDATE CASCADE
);

INSERT INTO Dipartimento VALUES ('PERS', 'Personale', 'Torino');
INSERT INTO Dipartimento VALUES ('PROD', 'Produzione', 'Roma');
INSERT INTO Dipartimento VALUES ('PIAN', 'Pianificazione', 'Milano');
INSERT INTO Dipartimento VALUES ('VEND', 'Vendite', 'Torino');
INSERT INTO Dipartimento VALUES ('MARK', 'Marketing', 'Roma');
INSERT INTO Dipartimento VALUES ('RCSV', 'Ricerca e sviluppo', 'Milano');

INSERT INTO Impiegato VALUES (101, 'ABATE', 'Riccardo', 'PERS', 55000);
INSERT INTO Impiegato VALUES (102, 'AGOSTINI', 'Nicola', 'PROD', 66000);
INSERT INTO Impiegato VALUES (103, 'AIELLO', 'Dario', 'PIAN', 94000);
INSERT INTO Impiegato VALUES (104, 'ALBANESE', 'Leonardo', 'VEND', 36000);
INSERT INTO Impiegato VALUES (105, 'ALBERTI', 'Salvatore', 'MARK', 72000);
INSERT INTO Impiegato VALUES (106, 'AMATO', 'Roberta', 'RCSV', 27000);
INSERT INTO Impiegato VALUES (107, 'ANDREOLI', 'Roberto', 'PERS', 67000);
INSERT INTO Impiegato VALUES (108, 'ANGELINI', 'Vanessa', 'PROD', 98000);
INSERT INTO Impiegato VALUES (109, 'ANTONINI', 'Paola', 'PIAN', 32000);
INSERT INTO Impiegato VALUES (110, 'ARENA', 'Angela', 'VEND', 73000);
INSERT INTO Impiegato VALUES (111, 'BELLINI', 'Lisa', 'MARK', 38000);
INSERT INTO Impiegato VALUES (112, 'BENEDETTI', 'Paola', 'RCSV', 81000);
INSERT INTO Impiegato VALUES (113, 'BERARDI', 'Sara', 'PERS', 46000);
INSERT INTO Impiegato VALUES (114, 'BERETTA', 'Simone', 'PROD', 52000);
INSERT INTO Impiegato VALUES (115, 'BERNARDI', 'Giulia', 'PIAN', 20000);
INSERT INTO Impiegato VALUES (116, 'BERNARDINI', 'Emanuele', 'VEND', 21000);
INSERT INTO Impiegato VALUES (117, 'BERTI', 'Maria', 'MARK', 49000);
INSERT INTO Impiegato VALUES (118, 'BEVILACQUA', 'Giacomo', 'RCSV', 69000);
INSERT INTO Impiegato VALUES (119, 'BIANCHI', 'Alessia', 'PERS', 43000);
INSERT INTO Impiegato VALUES (120, 'BIANCHINI', 'Fabio', 'PROD', 78000);
INSERT INTO Impiegato VALUES (121, 'ROSSI', 'Alberto', 'PIAN', 63000);
INSERT INTO Impiegato VALUES (122, 'ROSSINI', 'Gaia', 'VEND', 27000);
INSERT INTO Impiegato VALUES (123, 'ROSSO', 'Gianluca', 'MARK', 41000);
INSERT INTO Impiegato VALUES (124, 'ROTA', 'Alessandro', 'RCSV', 79000);
INSERT INTO Impiegato VALUES (125, 'RUBINO', 'Greta', 'PERS', 68000);
INSERT INTO Impiegato VALUES (126, 'RUGGERI', 'Michele', 'PROD', 48000);
INSERT INTO Impiegato VALUES (127, 'RUGGIERO', 'Giulia', 'PIAN', 66000);
INSERT INTO Impiegato VALUES (128, 'RUSSO', 'Alessandro', 'VEND', 29000);
INSERT INTO Impiegato VALUES (129, 'SACCHI', 'Debora', 'MARK', 43000);
INSERT INTO Impiegato VALUES (130, 'SACCO', 'Francesca', 'RCSV', 61000);

INSERT INTO Turno VALUES (101, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (102, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (103, '2019/10/17', '08:30', '14:30');
INSERT INTO Turno VALUES (104, '2019/10/17', '09:00', '17:00');
INSERT INTO Turno VALUES (105, '2019/10/17', '09:00', '17:00');
INSERT INTO Turno VALUES (106, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (107, '2019/10/17', '09:00', '15:00');
INSERT INTO Turno VALUES (108, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (109, '2019/10/17', '09:30', '16:30');
INSERT INTO Turno VALUES (110, '2019/10/17', '08:00', '16:00');
INSERT INTO Turno VALUES (111, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (112, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (113, '2019/10/17', '08:30', '14:30');
INSERT INTO Turno VALUES (114, '2019/10/17', '09:30', '16:30');
INSERT INTO Turno VALUES (115, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (116, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (117, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (118, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (119, '2019/10/17', '09:30', '16:30');
INSERT INTO Turno VALUES (120, '2019/10/17', '08:30', '14:30');
INSERT INTO Turno VALUES (121, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (122, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (123, '2019/10/17', '08:30', '14:30');
INSERT INTO Turno VALUES (124, '2019/10/17', '09:30', '16:30');
INSERT INTO Turno VALUES (125, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (126, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (127, '2019/10/17', '09:30', '17:30');
INSERT INTO Turno VALUES (128, '2019/10/17', '08:30', '16:30');
INSERT INTO Turno VALUES (129, '2019/10/17', '09:30', '16:30');
INSERT INTO Turno VALUES (130, '2019/10/17', '08:30', '14:30');
INSERT INTO Turno VALUES (101, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (102, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (103, '2019/10/18', '08:30', '14:30');
INSERT INTO Turno VALUES (104, '2019/10/18', '09:00', '17:00');
INSERT INTO Turno VALUES (105, '2019/10/18', '09:00', '17:00');
INSERT INTO Turno VALUES (106, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (107, '2019/10/18', '09:00', '15:00');
INSERT INTO Turno VALUES (108, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (109, '2019/10/18', '09:30', '16:30');
INSERT INTO Turno VALUES (110, '2019/10/18', '08:00', '16:00');
INSERT INTO Turno VALUES (111, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (112, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (113, '2019/10/18', '08:30', '14:30');
INSERT INTO Turno VALUES (114, '2019/10/18', '09:30', '16:30');
INSERT INTO Turno VALUES (115, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (116, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (117, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (118, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (119, '2019/10/18', '09:30', '16:30');
INSERT INTO Turno VALUES (120, '2019/10/18', '08:30', '14:30');
INSERT INTO Turno VALUES (121, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (122, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (123, '2019/10/18', '08:30', '14:30');
INSERT INTO Turno VALUES (124, '2019/10/18', '09:30', '16:30');
INSERT INTO Turno VALUES (125, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (126, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (127, '2019/10/18', '09:30', '17:30');
INSERT INTO Turno VALUES (128, '2019/10/18', '08:30', '16:30');
INSERT INTO Turno VALUES (129, '2019/10/18', '09:30', '16:30');
INSERT INTO Turno VALUES (130, '2019/10/18', '08:30', '14:30');


