-- Introdurre ed eseguire (una volta) la seguente istruzione
-- se si utilizza MySQL:
-- USE         Impiegati;

-----------------------------------------------------------
-- (a) Selezionare i codici e i cognomi degli impiegati
--     il cui cognome inizia con la lettera A o la lettera B
SELECT		CodImp, Cognome
FROM		Impiegato I
WHERE		Cognome LIKE 'A%'
			OR Cognome LIKE 'B%';

-----------------------------------------------------------
-- (b) Selezionare i cognomi degli impiegati
--     che lavorano in dipartimenti di Torino,
--     ordinati in ordine alfabetico
SELECT		Cognome
FROM		Impiegato I, Dipartimento D
WHERE		I.CodDip = D.CodDip
			AND Citta = 'Torino'
ORDER BY 	Cognome;

-----------------------------------------------------------
-- (c) Selezionare tutti i dati dei turni degli impiegati
--     che hanno uno stipendio maggiore di 10.000
--     e che lavorano in dipartimenti di Roma
SELECT 		T.CodImp, Data, OraI, OraF
FROM 		Impiegato I, Dipartimento D, Turno T
WHERE 		I.CodDip = D.CodDip
			AND T.CodImp = I.CodImp
			AND Stipendio > 10000
			AND Citta = 'Roma';

-----------------------------------------------------------
-- (d) Trovare il valore massimo degli stipendi
--     erogati dai dipartimenti di Milano
SELECT 		MAX(Stipendio)
FROM 		Impiegato I, Dipartimento D
WHERE 		I.CodDip = D.CodDip
			AND Citta = 'Milano';

-----------------------------------------------------------
-- (e) Selezionare i codici dei dipartimenti
--     che spendono pi di 300.000 in stipendi
SELECT 		CodDip
FROM 		Impiegato
GROUP BY 	CodDip
HAVING 		SUM(Stipendio) > 300000;

-----------------------------------------------------------
-- (f) Per ogni Dipartimento di Torino,
--     selezionare il codice del Dipartimento e
--     lo stipendio medio degli impiegati del Dipartimento
SELECT 		I.CodDip, AVG(Stipendio)
FROM 		Impiegato I, Dipartimento D
WHERE 		I.CodDip = D.CodDip
			AND Citta = 'Torino'
GROUP BY 	I.CodDip;

-----------------------------------------------------------
-- (g) Per ogni Dipartimento di Torino
--     che spende pi di 100000 in stipendi,
--     selezionare il codice, la denominazione
--     e il massimo stipendio erogato dal Dipartimento
SELECT 		I.CodDip, Denominazione, MAX(Stipendio)
FROM 		Impiegato I, Dipartimento D
WHERE 		I.CodDip = D.CodDip
			AND Citta = 'Torino'
GROUP BY 	I.CodDip, Denominazione
HAVING 		SUM(Stipendio) > 100000;

-----------------------------------------------------------
-- (h) Selezionare la denominazione dei dipartimenti
--     con pi di 4 impiegati
SELECT 		Denominazione
FROM 		Impiegato I, Dipartimento D
WHERE 		I.CodDip = D.CodDip
GROUP BY 	I.CodDip, Denominazione
HAVING      COUNT(*) > 4;

-----------------------------------------------------------
-- (i) Selezionare i codici degli impiegati
--     che ricevono uno stipendio maggiore
--     della media degli stipendi del loro Dipartimento
SELECT 		CodImp
FROM 		Impiegato I1
WHERE 		Stipendio > (
				SELECT 	AVG(Stipendio)
				FROM 	Impiegato I2
				WHERE 	I2.CodDip = I1.CodDip
			);

-----------------------------------------------------------
-- (l) Selezionare il codice del Dipartimento
--     in cui lavorano sia RUBINO che BIANCHI
SELECT 		CodDip
FROM 		Impiegato
WHERE 		Cognome = 'RUBINO'
			AND CodDip IN (
				SELECT	CodDip
				FROM 	Impiegato
				WHERE 	Cognome = 'BIANCHI'
			);

-----------------------------------------------------------
-- (m) Selezionare i codici dei dipartimenti
--     che non erogano stipendi maggiori di 70.000.
SELECT 		CodDip
FROM 		Dipartimento
WHERE 		CodDip NOT IN (
				SELECT	CodDip
				FROM	Impiegato
				WHERE	Stipendio > 70000
			);